Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.boundedvm
Class TransientTopicSubscription

    java.lang.Object
      org.codehaus.activemq.service.boundedvm.TransientTopicSubscription

public class TransientTopicSubscription
extends java.lang.Object

A holder for Transient Topic consumer info and message routing

Version:
  $Revision: 1.1 $

Constructor Summary
`TransientTopicSubscription(Filter filter, ConsumerInfo info)` Construct the TransientTopicSubscription

Method Summary
`ConsumerInfo` | `getConsumerInfo()`
`boolean` | `isTarget(ActiveMQMessage message)` determines if the Subscription is interested in the message
`void` | `setConsumerInfo(ConsumerInfo consumerInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientTopicSubscription

    public TransientTopicSubscription(Filter filter,
                                      ConsumerInfo info)

  Construct the TransientTopicSubscription

Parameters:
  `filter` -
  `info` -

Method Detail

### isTarget

    public boolean isTarget(ActiveMQMessage message)
                     throws JMSException

  determines if the Subscription is interested in the message

  Parameters:
    `message` -
  Returns:
    true if this Subscription will accept the message
  Throws:
    `JMSException`

### getConsumerInfo

    public ConsumerInfo getConsumerInfo()

  Returns:
    Returns the consumerInfo.

### setConsumerInfo

    public void setConsumerInfo(ConsumerInfo consumerInfo)

  Parameters:
    `consumerInfo` - The consumerInfo to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.